Main Page Widgets Namespaces Book

# Gtk::CellRendererText Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::CellRendererText:

[legend]

List of all members.

## Detailed Description

Renders text in a cell.

## Public Member Functions

Glib::PropertyProxy_ReadOnly <Pango::Alignment> | _alignment () const
| How to align the lines.
Glib::PropertyProxy <Pango::Alignment> | _alignment ()
| How to align the lines.
Glib::PropertyProxy_ReadOnly <Pango::AttrList> | _attributes () const
| A list of style attributes to apply to the text of the renderer.
Glib::PropertyProxy <Pango::AttrList> | _attributes ()
| A list of style attributes to apply to the text of the renderer.
Glib::PropertyProxy_WriteOnly <Glib::ustring> | _background ()
| Background color as a string.
Glib::PropertyProxy_ReadOnly <Gdk::Color> | _background_gdk () const
| Background color as a GdkColor.
Glib::PropertyProxy <Gdk::Color> | _background_gdk ()
| Background color as a GdkColor.
Glib::PropertyProxy_ReadOnly <bool> | _background_set () const
| Whether this tag affects the background color.
Glib::PropertyProxy <bool> | _background_set ()
| Whether this tag affects the background color.
Glib::PropertyProxy_ReadOnly <bool> | _editable () const
| Whether the text can be modified by the user.
Glib::PropertyProxy <bool> | _editable ()
| Whether the text can be modified by the user.
Glib::PropertyProxy_ReadOnly <bool> | _editable_set () const
| Whether this tag affects text editability.
Glib::PropertyProxy <bool> | _editable_set ()
| Whether this tag affects text editability.
Glib::PropertyProxy_ReadOnly <Pango::EllipsizeMode> | _ellipsize () const
| The preferred place to ellipsize the string.
Glib::PropertyProxy <Pango::EllipsizeMode> | _ellipsize ()
| The preferred place to ellipsize the string.
Glib::PropertyProxy_ReadOnly <bool> | _ellipsize_set () const
| Whether this tag affects the ellipsize mode.
Glib::PropertyProxy <bool> | _ellipsize_set ()
| Whether this tag affects the ellipsize mode.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | _family () const
| Name of the font family.
Glib::PropertyProxy <Glib::ustring> | _family ()
| Name of the font family.
Glib::PropertyProxy_ReadOnly <bool> | _family_set () const
| Whether this tag affects the font family.
Glib::PropertyProxy <bool> | _family_set ()
| Whether this tag affects the font family.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | _font () const
| Font description as a string.
Glib::PropertyProxy <Glib::ustring> | _font ()
| Font description as a string.
Glib::PropertyProxy_ReadOnly <Pango::FontDescription> | _font_desc () const
| Font description as a PangoFontDescription struct.
Glib::PropertyProxy <Pango::FontDescription> | _font_desc ()
| Font description as a PangoFontDescription struct.
Glib::PropertyProxy_WriteOnly <Glib::ustring> | _foreground ()
| Foreground color as a string.
Glib::PropertyProxy_ReadOnly <Gdk::Color> | _foreground_gdk () const
| Foreground color as a GdkColor.
Glib::PropertyProxy <Gdk::Color> | _foreground_gdk ()
| Foreground color as a GdkColor.
Glib::PropertyProxy_ReadOnly <bool> | _foreground_set () const
| Whether this tag affects the foreground color.
Glib::PropertyProxy <bool> | _foreground_set ()
| Whether this tag affects the foreground color.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | _language () const
| The language this text is in.
Glib::PropertyProxy <Glib::ustring> | _language ()
| The language this text is in.
Glib::PropertyProxy_ReadOnly <bool> | _language_set () const
| Whether this tag affects the language the text is rendered as.
Glib::PropertyProxy <bool> | _language_set ()
| Whether this tag affects the language the text is rendered as.
Glib::PropertyProxy_WriteOnly <Glib::ustring> | _markup ()
| Marked up text to render.
virtual Glib::PropertyProxy_Base | _property_renderable ()
| Returns the property that this CellRenderer renders.
Glib::PropertyProxy_ReadOnly <int> | _rise () const
| Offset of text above the baseline (below the baseline if rise is negative).
Glib::PropertyProxy <int> | _rise ()
| Offset of text above the baseline (below the baseline if rise is negative).
Glib::PropertyProxy_ReadOnly <bool> | _rise_set () const
| Whether this tag affects the rise.
Glib::PropertyProxy <bool> | _rise_set ()
| Whether this tag affects the rise.
Glib::PropertyProxy_ReadOnly <double> | _scale () const
| Font scaling factor.
Glib::PropertyProxy <double> | _scale ()
| Font scaling factor.
Glib::PropertyProxy_ReadOnly <bool> | _scale_set () const
| Whether this tag scales the font size by a factor.
Glib::PropertyProxy <bool> | _scale_set ()
| Whether this tag scales the font size by a factor.
Glib::PropertyProxy_ReadOnly <bool> | _single_paragraph_mode () const
| Whether or not to keep all text in a single paragraph.
Glib::PropertyProxy <bool> | _single_paragraph_mode ()
| Whether or not to keep all text in a single paragraph.
Glib::PropertyProxy_ReadOnly <int> | _size () const
| Font size.
Glib::PropertyProxy <int> | _size ()
| Font size.
Glib::PropertyProxy_ReadOnly <double> | _size_points () const
| Font size in points.
Glib::PropertyProxy <double> | _size_points ()
| Font size in points.
Glib::PropertyProxy_ReadOnly <bool> | _size_set () const
| Whether this tag affects the font size.
Glib::PropertyProxy <bool> | _size_set ()
| Whether this tag affects the font size.
Glib::PropertyProxy_ReadOnly <Pango::Stretch> | _stretch () const
| Font stretch.
Glib::PropertyProxy <Pango::Stretch> | _stretch ()
| Font stretch.
Glib::PropertyProxy_ReadOnly <bool> | _stretch_set () const
| Whether this tag affects the font stretch.
Glib::PropertyProxy <bool> | _stretch_set ()
| Whether this tag affects the font stretch.
Glib::PropertyProxy_ReadOnly <bool> | _strikethrough () const
| Whether to strike through the text.
Glib::PropertyProxy <bool> | _strikethrough ()
| Whether to strike through the text.
Glib::PropertyProxy_ReadOnly <bool> | _strikethrough_set () const
| Whether this tag affects strikethrough.
Glib::PropertyProxy <bool> | _strikethrough_set ()
| Whether this tag affects strikethrough.
Glib::PropertyProxy_ReadOnly <Pango::Style> | _style () const
| Font style.
Glib::PropertyProxy <Pango::Style> | _style ()
| Font style.
Glib::PropertyProxy_ReadOnly <bool> | _style_set () const
| Whether this tag affects the font style.
Glib::PropertyProxy <bool> | _style_set ()
| Whether this tag affects the font style.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | _text () const
| Text to render.
Glib::PropertyProxy <Glib::ustring> | _text ()
| Text to render.
Glib::PropertyProxy_ReadOnly <Pango::Underline> | _underline () const
| Style of underline for this text.
Glib::PropertyProxy <Pango::Underline> | _underline ()
| Style of underline for this text.
Glib::PropertyProxy_ReadOnly <bool> | _underline_set () const
| Whether this tag affects underlining.
Glib::PropertyProxy <bool> | _underline_set ()
| Whether this tag affects underlining.
Glib::PropertyProxy_ReadOnly <Pango::Variant> | _variant () const
| Font variant.
Glib::PropertyProxy <Pango::Variant> | _variant ()
| Font variant.
Glib::PropertyProxy_ReadOnly <bool> | _variant_set () const
| Whether this tag affects the font variant.
Glib::PropertyProxy <bool> | _variant_set ()
| Whether this tag affects the font variant.
Glib::PropertyProxy_ReadOnly <int> | _weight () const
| Font weight.
Glib::PropertyProxy <int> | _weight ()
| Font weight.
Glib::PropertyProxy_ReadOnly <bool> | _weight_set () const
| Whether this tag affects the font weight.
Glib::PropertyProxy <bool> | _weight_set ()
| Whether this tag affects the font weight.
Glib::PropertyProxy_ReadOnly <int> | _width_chars () const
| The desired width of the label.
Glib::PropertyProxy <int> | _width_chars ()
| The desired width of the label.
Glib::PropertyProxy_ReadOnly <Pango::WrapMode> | _wrap_mode () const
| How to break the string into multiple lines.
Glib::PropertyProxy <Pango::WrapMode> | _wrap_mode ()
| How to break the string into multiple lines.
Glib::PropertyProxy_ReadOnly <int> | _wrap_width () const
| The width at which the text is wrapped.
Glib::PropertyProxy <int> | _wrap_width ()
| The width at which the text is wrapped.
| CellRendererText ()
const GtkCellRendererText* | gobj () const
| Provides access to the underlying C GtkObject.
GtkCellRendererText* | gobj ()
| Provides access to the underlying C GtkObject.
void | set_fixed_height_from_font (int number_of_rows)
| Sets the height of a renderer to explicitly be determined by the "font" and "y_pad" property set on it.
Glib::SignalProxy2 < void, const Glib::ustring &, const Glib::ustring& > | signal_edited ()

Prototype:
  `void on_my_edited(const Glib::ustring& path, const Glib::ustring& new_text)`

virtual | ~CellRendererText ()

## Protected Member Functions

void | edited (const Glib::ustring& path, const Glib::ustring& new_text)
| Emits the "edited" signal.
virtual void | on_edited (const Glib::ustring& path, const Glib::ustring& new_text)

## Related Functions

(Note that these are not member functions.)
Gtk::CellRendererText* | wrap (GtkCellRendererText* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::CellRendererText::~CellRendererText | ( |  | ) | `[virtual]`

Gtk::CellRendererText::CellRendererText | ( |  | ) |

## Member Function Documentation

Glib::PropertyProxy_ReadOnly<Pango::Alignment> Gtk::CellRendererText::_alignment | ( |  | ) | const

How to align the lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::Alignment> Gtk::CellRendererText::_alignment | ( |  | ) |

How to align the lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::AttrList> Gtk::CellRendererText::_attributes | ( |  | ) | const

A list of style attributes to apply to the text of the renderer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::AttrList> Gtk::CellRendererText::_attributes | ( |  | ) |

A list of style attributes to apply to the text of the renderer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gtk::CellRendererText::_background | ( |  | ) |

Background color as a string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gdk::Color> Gtk::CellRendererText::_background_gdk | ( |  | ) | const

Background color as a GdkColor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gdk::Color> Gtk::CellRendererText::_background_gdk | ( |  | ) |

Background color as a GdkColor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_background_set | ( |  | ) | const

Whether this tag affects the background color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_background_set | ( |  | ) |

Whether this tag affects the background color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_editable | ( |  | ) | const

Whether the text can be modified by the user.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_editable | ( |  | ) |

Whether the text can be modified by the user.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_editable_set | ( |  | ) | const

Whether this tag affects text editability.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_editable_set | ( |  | ) |

Whether this tag affects text editability.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::EllipsizeMode> Gtk::CellRendererText::_ellipsize | ( |  | ) | const

The preferred place to ellipsize the string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::EllipsizeMode> Gtk::CellRendererText::_ellipsize | ( |  | ) |

The preferred place to ellipsize the string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_ellipsize_set | ( |  | ) | const

Whether this tag affects the ellipsize mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_ellipsize_set | ( |  | ) |

Whether this tag affects the ellipsize mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererText::_family | ( |  | ) | const

Name of the font family.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererText::_family | ( |  | ) |

Name of the font family.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_family_set | ( |  | ) | const

Whether this tag affects the font family.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_family_set | ( |  | ) |

Whether this tag affects the font family.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererText::_font | ( |  | ) | const

Font description as a string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererText::_font | ( |  | ) |

Font description as a string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::FontDescription> Gtk::CellRendererText::_font_desc | ( |  | ) | const

Font description as a PangoFontDescription struct.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::FontDescription> Gtk::CellRendererText::_font_desc | ( |  | ) |

Font description as a PangoFontDescription struct.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gtk::CellRendererText::_foreground | ( |  | ) |

Foreground color as a string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gdk::Color> Gtk::CellRendererText::_foreground_gdk | ( |  | ) | const

Foreground color as a GdkColor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gdk::Color> Gtk::CellRendererText::_foreground_gdk | ( |  | ) |

Foreground color as a GdkColor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_foreground_set | ( |  | ) | const

Whether this tag affects the foreground color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_foreground_set | ( |  | ) |

Whether this tag affects the foreground color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererText::_language | ( |  | ) | const

The language this text is in.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererText::_language | ( |  | ) |

The language this text is in.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_language_set | ( |  | ) | const

Whether this tag affects the language the text is rendered as.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_language_set | ( |  | ) |

Whether this tag affects the language the text is rendered as.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gtk::CellRendererText::_markup | ( |  | ) |

Marked up text to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

virtual Glib::PropertyProxy_Base Gtk::CellRendererText::_property_renderable | ( |  | ) | `[virtual]`

Returns the property that this CellRenderer renders.

For instance, property_text for CellRendererText, and property_active for CellRendererToggle Needs to be overridden in derived classes.

Reimplemented from Gtk::CellRenderer.

Reimplemented in Gtk::CellRendererAccel, Gtk::CellRendererCombo, and Gtk::CellRendererSpin.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellRendererText::_rise | ( |  | ) | const

Offset of text above the baseline (below the baseline if rise is negative).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellRendererText::_rise | ( |  | ) |

Offset of text above the baseline (below the baseline if rise is negative).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_rise_set | ( |  | ) | const

Whether this tag affects the rise.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_rise_set | ( |  | ) |

Whether this tag affects the rise.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Gtk::CellRendererText::_scale | ( |  | ) | const

Font scaling factor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Gtk::CellRendererText::_scale | ( |  | ) |

Font scaling factor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_scale_set | ( |  | ) | const

Whether this tag scales the font size by a factor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_scale_set | ( |  | ) |

Whether this tag scales the font size by a factor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_single_paragraph_mode | ( |  | ) | const

Whether or not to keep all text in a single paragraph.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_single_paragraph_mode | ( |  | ) |

Whether or not to keep all text in a single paragraph.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellRendererText::_size | ( |  | ) | const

Font size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellRendererText::_size | ( |  | ) |

Font size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Gtk::CellRendererText::_size_points | ( |  | ) | const

Font size in points.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Gtk::CellRendererText::_size_points | ( |  | ) |

Font size in points.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_size_set | ( |  | ) | const

Whether this tag affects the font size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_size_set | ( |  | ) |

Whether this tag affects the font size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::Stretch> Gtk::CellRendererText::_stretch | ( |  | ) | const

Font stretch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::Stretch> Gtk::CellRendererText::_stretch | ( |  | ) |

Font stretch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_stretch_set | ( |  | ) | const

Whether this tag affects the font stretch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_stretch_set | ( |  | ) |

Whether this tag affects the font stretch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_strikethrough | ( |  | ) | const

Whether to strike through the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_strikethrough | ( |  | ) |

Whether to strike through the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_strikethrough_set | ( |  | ) | const

Whether this tag affects strikethrough.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_strikethrough_set | ( |  | ) |

Whether this tag affects strikethrough.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::Style> Gtk::CellRendererText::_style | ( |  | ) | const

Font style.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::Style> Gtk::CellRendererText::_style | ( |  | ) |

Font style.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_style_set | ( |  | ) | const

Whether this tag affects the font style.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_style_set | ( |  | ) |

Whether this tag affects the font style.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererText::_text | ( |  | ) | const

Text to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererText::_text | ( |  | ) |

Text to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::Underline> Gtk::CellRendererText::_underline | ( |  | ) | const

Style of underline for this text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::Underline> Gtk::CellRendererText::_underline | ( |  | ) |

Style of underline for this text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_underline_set | ( |  | ) | const

Whether this tag affects underlining.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_underline_set | ( |  | ) |

Whether this tag affects underlining.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::Variant> Gtk::CellRendererText::_variant | ( |  | ) | const

Font variant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::Variant> Gtk::CellRendererText::_variant | ( |  | ) |

Font variant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_variant_set | ( |  | ) | const

Whether this tag affects the font variant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_variant_set | ( |  | ) |

Whether this tag affects the font variant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellRendererText::_weight | ( |  | ) | const

Font weight.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellRendererText::_weight | ( |  | ) |

Font weight.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::_weight_set | ( |  | ) | const

Whether this tag affects the font weight.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::_weight_set | ( |  | ) |

Whether this tag affects the font weight.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellRendererText::_width_chars | ( |  | ) | const

The desired width of the label.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellRendererText::_width_chars | ( |  | ) |

The desired width of the label.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::WrapMode> Gtk::CellRendererText::_wrap_mode | ( |  | ) | const

How to break the string into multiple lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::WrapMode> Gtk::CellRendererText::_wrap_mode | ( |  | ) |

How to break the string into multiple lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellRendererText::_wrap_width | ( |  | ) | const

The width at which the text is wrapped.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellRendererText::_wrap_width | ( |  | ) |

The width at which the text is wrapped.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::CellRendererText::edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | new_text |
| ) |  |  | `[protected]`

Emits the "edited" signal.

This is useful when implementing custom CellRenderers.

const GtkCellRendererText* Gtk::CellRendererText::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

Reimplemented in Gtk::CellRendererAccel, Gtk::CellRendererCombo, and Gtk::CellRendererSpin.

GtkCellRendererText* Gtk::CellRendererText::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

Reimplemented in Gtk::CellRendererAccel, Gtk::CellRendererCombo, and Gtk::CellRendererSpin.

virtual void Gtk::CellRendererText::on_edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | new_text |
| ) |  |  | `[protected, virtual]`

void Gtk::CellRendererText::set_fixed_height_from_font | ( | int | number_of_rows | ) |

Sets the height of a renderer to explicitly be determined by the "font" and "y_pad" property set on it.

Further changes in these properties do not affect the height, so they must be accompanied by a subsequent call to this function. Using this function is unflexible, and should really only be used if calculating the size of a cell is too slow (ie, a massive number of cells displayed). If number_of_rows is -1, then the fixed height is unset, and the height is determined by the properties again.

Parameters:

  | number_of_rows | Number of rows of text each cell renderer is allocated, or -1.

Glib::SignalProxy2< void,const Glib::ustring&,const Glib::ustring& > Gtk::CellRendererText::signal_edited | ( |  | ) |

Prototype:
  `void on_my_edited(const Glib::ustring& path, const Glib::ustring& new_text)`

## Friends And Related Function Documentation

Gtk::CellRendererText* wrap | ( | GtkCellRendererText * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cellrenderertext.h